hpp-core: hpp::core::PathValidationReport Struct Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::core::PathValidationReport Struct Reference
Validation of configurations and paths

`#include <hpp/core/path-validation-report.hh>`

Inheritance diagram for hpp::core::PathValidationReport:
[legend]
Collaboration diagram for hpp::core::PathValidationReport:
[legend]

## Public Member Functions
| PathValidationReport ()
| PathValidationReport (const value_type &param, const ValidationReportPtr_t &report)
virtual | ~PathValidationReport ()
virtual std::ostream & | print (std::ostream &os) const
| Write report in a stream.
value_type | getParameter ()
void | setParameter (value_type p)
Public Member Functions inherited from hpp::core::ValidationReport
virtual | ~ValidationReport ()

## Public Attributes
value_type | parameter
| Parameter of the path where a invalid configuration has been found.
ValidationReportPtr_t | configurationReport

## Detailed Description

Abstraction of path validation report

This class is aimed at being derived to store information relative to various PathValidation derived classes.

## Constructor & Destructor Documentation

## ◆ PathValidationReport() [1/2]

hpp::core::PathValidationReport::PathValidationReport | ( |  | ) |
| inline

## ◆ PathValidationReport() [2/2]

hpp::core::PathValidationReport::PathValidationReport | ( | const value_type & | param,
|  | const ValidationReportPtr_t & | report
| ) |  |
| inline

## ◆ ~PathValidationReport()

virtual hpp::core::PathValidationReport::~PathValidationReport | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ getParameter()

value_type hpp::core::PathValidationReport::getParameter | ( |  | ) |
| inline

## ◆ print()

virtual std::ostream & hpp::core::PathValidationReport::print | ( | std::ostream & | os | ) | const
| inlinevirtual

Write report in a stream.

Implements hpp::core::ValidationReport.

## ◆ setParameter()

void hpp::core::PathValidationReport::setParameter | ( | value_type | p | ) |
| inline

## Member Data Documentation

## ◆ configurationReport

ValidationReportPtr_t hpp::core::PathValidationReport::configurationReport

## ◆ parameter

value_type hpp::core::PathValidationReport::parameter

Parameter of the path where a invalid configuration has been found.

The documentation for this struct was generated from the following file:

- include/hpp/core/path-validation-report.hh